aboutsummaryrefslogtreecommitdiffstats
path: root/cross-x86.sh
diff options
context:
space:
mode:
Diffstat (limited to 'cross-x86.sh')
-rwxr-xr-xcross-x86.sh12
1 files changed, 8 insertions, 4 deletions
diff --git a/cross-x86.sh b/cross-x86.sh
index 287d4ad..23f96be 100755
--- a/cross-x86.sh
+++ b/cross-x86.sh
@@ -1,7 +1,7 @@
#!/bin/sh
-GCC=4.7.2
-BINUTILS=2.23.1
+GCC=4.8.0
+BINUTILS=2.23.2
ARCH=x86
cd `dirname $0`
@@ -10,9 +10,12 @@ export BASEDIR=`pwd`
export PREFIX=$HOME/usr
export TARGET=i586-elf
+#export MIRROR=http://ftp.gnu.org/gnu
+export MIRROR=http://mirror.ibcp.fr/pub/gnu
+
echo " ==> FETCHING CROSS COMPILER ARCHIVES <=="
-if [ ! -f gcc-$GCC.tar.bz2 ]; then wget http://ftp.gnu.org/gnu/gcc/gcc-$GCC/gcc-$GCC.tar.bz2; fi
-if [ ! -f binutils-$BINUTILS.tar.bz2 ]; then wget http://ftp.gnu.org/gnu/binutils/binutils-$BINUTILS.tar.bz2; fi
+if [ ! -f gcc-$GCC.tar.bz2 ]; then wget $MIRROR/gcc/gcc-$GCC/gcc-$GCC.tar.bz2; fi
+if [ ! -f binutils-$BINUTILS.tar.bz2 ]; then wget $MIRROR/binutils/binutils-$BINUTILS.tar.bz2; fi
mkdir build-$ARCH
cd build-$ARCH
@@ -27,6 +30,7 @@ mkdir build-gcc-$GCC
echo " =>> STARTING BUILD <<="
cd build-binutils-$BINUTILS
../binutils-$BINUTILS/configure --prefix=$PREFIX --target=$TARGET --disable-nls || exit
+make configure-host || exit
make all || exit
make install || exit